PHP ZendEngine ECalloc 整数溢出漏洞

2006-10-31T00:00:00
ID SSV:345
Type seebug
Reporter Root
Modified 2006-10-31T00:00:00

Description

PHP是广泛使用的通用目的脚本语言,特别适合于Web开发,可嵌入到HTML中。

PHP内存处理例程_ecalloc函数中存在整数溢出漏洞,远程攻击者可能利用此漏洞在服务器上执行指令。

如果脚本能够导致基于不可信任用户数据的内存分配的话,远程攻击者就可以通过发送特制的请求导致以apache用户的权限执行任意指令

PHP PHP <= 5.1.6 RedHat Enterprise Linux WS 2.1 RedHat Enterprise Linux ES 2.1 RedHat Enterprise Linux AS 2.1 目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:

http://cvs.php.net/viewvc.cgi/ZendEngine2/zend_alloc.c?r1=1.161&r2=1.162

RedHat

RedHat已经为此发布了安全公告(RHSA-2006:0708-01,RHSA-2006:0688-01)以及相应补丁: RHSA-2006:0708-01:Important: php security update 链接:http://lwn.net/Alerts/203115/

RHSA-2006:0688-01:Important: php security update 链接:http://lwn.net/Alerts/203114/